commit 7d9678db98f665be3874b8a71510eb9dfa7c1e9f
Author: skenneweg <skenneweg@techfak.uni-bielefeld.de>
Date:   Mon May 4 15:32:52 2020 +0200

    Finished header, added empty functions in c classes, added comments

diff --git a/inc/urt_subscriber.h b/inc/urt_subscriber.h
index 5e3659a..dc22b35 100644
--- a/inc/urt_subscriber.h
+++ b/inc/urt_subscriber.h
@@ -23,6 +23,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define URTWARE_SUBSCRIBER_H
 
 #include <urt_types.h>
+#include <urtware.h>
 
 /******************************************************************************/
 /* CONSTANTS                                                                  */
@@ -134,33 +135,31 @@ typedef struct urt_hrtsubscriber
 extern "C" {
 #endif /* defined(__cplusplus) */
 
-    void urtNrtSubscriberInit();
-    urt_status_t urtNrtSubscriberSubscribe();
-    urt_status_t urtNrtSubscriberFetchNextMessage();
-    urt_status_t urtNrtSubscriberFetchLatestMessage();
-    urt_status_t urtNrtSubscriberUnsubscribe();
-
-    void urtSrtSubscriberInit();
-    urt_status_t urtSrtSubscriberSubscribe();
-    urt_status_t urtSrtSubscriberFetchNextMessage();
-    urt_status_t urtSrtSubscriberFetchLatestMessage();
-    urt_status_t urtSrtSubscriberCalculateUsefulness();
-    urt_status_t urtSrtSubscriberUnsubscribe();
-
-    void urtFrtSubscriberInit();
-    urt_status_t urtFrtSubscriberSubscribe();
-    urt_status_t urtFrtSubscriberFetchNextMessage();
-    urt_status_t urtFrtSubscriberFetchLatestMessage();
-    bool urtFrtSubscriberCalculateValidity();
-    urt_status_t urtFrtSubscriberUnsubscribe();
-
-    void urtHrtSubscriberInit();
-    urt_status_t urtHrtSubscriberSubscribe();
-    urt_status_t urtHrtSubscriberFetchNextMessage();
-    urt_status_t urtHrtSubscriberFetchLatestMessage();
-    urt_status_t urtHrtSubscriberUnsubscribe();
-
-    float urt_srtusefulnessfunc_t();
+    void urtNrtSubscriberInit(urt_nrtsubscriber_t* subscriber);
+    urt_status_t urtNrtSubscriberSubscribe(urt_nrtsubscriber_t* subscriber, urt_topic_t* topic, urt_message_t* messages);
+    urt_status_t urtNrtSubscriberFetchNextMessage(urt_nrtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtNrtSubscriberFetchLatestMessage(urt_nrtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtNrtSubscriberUnsubscribe(urt_nrtsubscriber_t* subscriber);
+
+    void urtSrtSubscriberInit(urt_srtsubscriber_t* subscriber);
+    urt_status_t urtSrtSubscriberSubscribe(urt_srtsubscriber_t* subscriber, urt_topic_t* topic, urt_message_t* message, urt_srtusefulnessfunc_t* usefulnesscb, void* cbparams);
+    urt_status_t urtSrtSubscriberFetchNextMessage(urt_srtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtSrtSubscriberFetchLatestMessage(urt_srtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtSrtSubscriberCalculateUsefulness(urt_srtsubscriber_t* subscriber, urt_delay_t latency);
+    urt_status_t urtSrtSubscriberUnsubscribe(urt_srtsubscriber_t* subscriber);
+
+    void urtFrtSubscriberInit(urt_frtsubscriber_t* subscriber);
+    urt_status_t urtFrtSubscriberSubscribe(urt_frtsubscriber_t* subscriber, urt_topic_t* topic, urt_message_t* messages, urt_delay_t deadline, urt_delay_t jitter);
+    urt_status_t urtFrtSubscriberFetchNextMessage(urt_frtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtFrtSubscriberFetchLatestMessage(urt_frtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    bool urtFrtSubscriberCalculateValidity(urt_frtsubscriber_t* subscriber, urt_delay_t latency);
+    urt_status_t urtFrtSubscriberUnsubscribe(urt_frtsubscriber_t* subscriber);
+
+    void urtHrtSubscriberInit(urt_hrtsubscriber_t* subscriber);
+    urt_status_t urtHrtSubscriberSubscribe(urt_hrtsubscriber_t* subscriber, urt_topic_t* topic, urt_message_t* message, urt_delay_t deadline, urt_delay_t rate, urt_delay_t jitter);
+    urt_status_t urtHrtSubscriberFetchNextMessage(urt_hrtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtHrtSubscriberFetchLatestMessage(urt_hrtsubscriber_t* subscriber, void* payload, size_t bytes, urt_delay_t* latency);
+    urt_status_t urtHrtSubscriberUnsubscribe(urt_hrtsubscriber_t* subscriber);
 #if defined(__cplusplus)
 }
 #endif /* defined(__cplusplus) */
